pcl::io::ply::ply_parser::scalar_property_definition_callbacks_type Class Reference

`#include <pcl/io/ply/ply_parser.h>`

## Public Member Functions

template<typename ScalarType >
const scalar_property_definition_callback_type< ScalarType >::type & | get () const
template<typename ScalarType >
scalar_property_definition_callback_type< ScalarType >::type & | get ()

## Friends

template<typename ScalarType >
scalar_property_definition_callback_type< ScalarType >::type & | at (scalar_property_definition_callbacks_type &scalar_property_definition_callbacks)
template<typename ScalarType >
const friend scalar_property_definition_callback_type< ScalarType >::type & | at (const scalar_property_definition_callbacks_type &scalar_property_definition_callbacks)

## Detailed Description

Definition at line 111 of file ply_parser.h.

## Member Function Documentation

## get() [1/2]

template<typename ScalarType >

scalar_property_definition_callback_type<ScalarType>::type& pcl::io::ply::ply_parser::scalar_property_definition_callbacks_type::get | ( |  | ) |

inline

Definition at line 141 of file ply_parser.h.

## get() [2/2]

template<typename ScalarType >

const scalar_property_definition_callback_type<ScalarType>::type& pcl::io::ply::ply_parser::scalar_property_definition_callbacks_type::get | ( |  | ) | const

inline

Definition at line 134 of file ply_parser.h.

Referenced by pcl::io::ply::ply_parser::at().

## Friends And Related Function Documentation

## at [1/2]

template<typename ScalarType >

const friend scalar_property_definition_callback_type<ScalarType>::type& at | ( | const scalar_property_definition_callbacks_type & | scalar_property_definition_callbacks | ) |

friend

## at [2/2]

template<typename ScalarType >

scalar_property_definition_callback_type<ScalarType>::type& at | ( | scalar_property_definition_callbacks_type & | scalar_property_definition_callbacks | ) |

friend

The documentation for this class was generated from the following file:

- pcl/io/ply/ply_parser.h